/*
Theme Name: DDESIGN
Version: 1.0
Author: ddesign
Template: hello-elementor
Text Domain: ddesign
*/

/* font elementor */
@font-face {
    font-family: 'Golden Plains';
    src: url('./fonts/golden_plains-webfont.eot') format('eot'),
    url('./fonts/golden_plains-webfont.woff2') format('woff2'),
    url('./fonts/golden_plains-webfont.ttf') format('truetype'),
    url('./fonts/golden_plains-webfont.svg') format('svg');
    font-weight: normal;
    font-style: normal;
}

/* Scroll Top DDesign */

html {
    scroll-behavior: smooth;
}

#btnScrollTop::before {
    content: "\2191";
}

#btnScrollTop {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 50px; /* Place the button at the bottom of the page */
    right: 50px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: #00697F; /* Set a background color */
    color: white; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 5px 12px; /* Some padding */
    /* border-radius: 50%; Rounded corners */
    font-size: 18px; /* Increase font size */
    border-radius: initial;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
  }
  
  #btnScrollTop:hover {
    background-color: #F75966; /* Add a dark-grey background on hover */
  }


.gform_wrapper .gform_footer input.button, .gform_wrapper .gform_footer input[type=submit], .gform_wrapper .gform_page_footer input.button, .gform_wrapper .gform_page_footer input[type=submit] {
    border: none !important;
}

.gform_wrapper .top_label .gfield_label {
	color: #00697F;
}

strong, b {
    font-weight: 600 !important;
}

#partenaires div.elementor-testimonial__image {
    -webkit-mask-image: url(https://ddesign.fr/wp-content/plugins/dynamic-content-for-elementor/assets/img/mask/blob.png);
    mask-image: url(https://ddesign.fr/wp-content/plugins/dynamic-content-for-elementor/assets/img/mask/blob.png);
    -webkit-mask-position: 50% 50%;
    mask-position: 50% 50%;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-size: contain;
}

#input_1_5, #input_1_18, #input_1_19, #input_1_3, #input_1_4 {
  border: 1px solid #00697F;
}

.filters-item {
    border-bottom: 2px solid #F75966;
    padding: 10px;
}

.filters-item:hover {
    border-bottom: 2px solid #00697F;
}

span.filter-active {
    border-bottom: 2px solid #00697F;
    padding: 10px;
}

span.filters-divider {
    color: white !important;
}

#carouselHome {
    filter: grayscale(100%);
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    -o-filter: grayscale(100%);
}

li.ddesign-mobile-contact > a {
   color: #F75966 !important;
}

li.ddesign-mobile-contact > a.elementor-item {
    color:white !important;
}

li.ddesign-mobile-contact > a.elementor-item-active {
    background-color: #F75966 !important;
	  color: white !important;
}

li.ddesign-mobile-contact > a.elementor-item-active:hover {
    background-color: #00697F !important;
	color: white !important;
}

.dce-filters {
	display: flex !important;
    justify-content: center !important;
    flex-wrap: wrap !important;
}

#homepage-hashtag span.elementor-testimonial__name > a {
    
}

.elementor-headline-typing-selected {
    background-color: #00697F !important;
}

/* Gravity Forms */ 
body #gform_page_5_2 .gfield_checkbox li input[type=checkbox] {
margin-top : -3px;
}
body #gform_page_5_2 .gfield_radio li input[type=radio] {
margin-top : -1px;
} 


/* WP Gridbuilder */

h3.wpgb-block-1 > a {
  font-family: "Be Vietnam Pro", sans-serif !important;
}

